Name:           perl-GIS-Distance-Fast
Version:        0.14
Release:        4%{?dist}
Summary:        C implementation of GIS::Distance formulas
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/GIS-Distance-Fast
Source0:        https://cpan.metacpan.org/authors/id/B/BL/BLUEFEET/GIS-Distance-Fast-%{version}.tar.gz
# Link to libm and fix linking by using EU::MM instead of buggy M::B::Tiny,
# <https://github.com/bluefeet/GIS-Distance-Fast/issues/1>
Patch0:         GIS-Distance-Fast-0.12-Build-using-ExtUtils-MakeMaker-and-link-to-math-libr.patch
BuildRequires:  findutils
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-devel
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 7.12
# Run-time:
BuildRequires:  perl(GIS::Distance::Formula) >= 0.17
BuildRequires:  perl(namespace::clean) >= 0.24
BuildRequires:  perl(parent)
BuildRequires:  perl(strictures) >= 2
# XSLoader || DynaLoader
BuildRequires:  perl(XSLoader)
# Tests:
BuildRequires:  perl(GIS::Distance) >= 0.17
BuildRequires:  perl(Test2::V0) >= 0.000094
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(GIS::Distance::Formula) >= 0.17
Requires:       perl(namespace::clean) >= 0.24
# XSLoader || DynaLoader
Requires:       perl(XSLoader)

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\((GIS::Distance::Formula|namespace::clean)\\)$

%description
This Perl module reimplements some, but not all, of the formulas that
come with GIS::Distance in the C programming language. C code is generally
much faster than the Perl equivalent.

%prep
%setup -q -n GIS-Distance-Fast-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1 OPTIMIZE="$RPM_OPT_FLAGS"
%{make_build}

%install
%{make_install}
find %{buildroot} -type f -name '*.bs' -size 0 -delete
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README.md
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/GIS*
%{_mandir}/man3/*

%changelog
* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.14-2
- Perl 5.30 rebuild

* Mon Mar 18 2019 Petr Pisar <ppisar@redhat.com> - 0.14-1
- 0.14 bump

* Thu Mar 14 2019 Petr Pisar <ppisar@redhat.com> - 0.12-1
- 0.12 bump

* Fri Mar 08 2019 Petr Pisar <ppisar@redhat.com> 0.10-1
- Specfile autogenerated by cpanspec 1.78.
